%define fname Mail-SpamAssassin

Summary:        A spam filter for email which can be invoked from mail delivery agents
Name:           spamassassin
Version:        3.4.4
Release:        %mkrel 3
License:        Apache License
Group:          Networking/Mail
URL:            http://spamassassin.apache.org/
Source0:        http://www.apache.org/dist/spamassassin/source/%{fname}-%{version}.tar.bz2
Source3:        spamassassin-default.rc
Source4:        spamassassin-spamc.rc
Source5:        spamassassin.sysconfig
Source6:        sa-update.logrotate
Source8:        sa-update.cronscript
Source9:        sa-update.force-sysconfig
Source10:       spamassassin-helper.sh
Source11:       spamassassin-official.conf
Source13:       README.Mageia
Source14:       spamassassin.service
Source16:       sa-update.service
Source17:       sa-update.timer
Source20:       spamd.conf

# (fc) 2.60-5mdk don't use version dependent perl call in #!
Patch0:         spamassassin-3.2.0-fixbang.patch
Patch1:         Mail-SpamAssassin-3.1.5-no_spamcop.diff
Patch6:         spamassassin-3.4.1-gnupg2.patch
Patch7:         spamassassin-3.4.1-add-logfile-homedir-options.patch
Patch8:		spamassassin-3.4.4-fix-ssl-tests.patch
BuildRequires:  gnupg2
BuildRequires:  pkgconfig(openssl)
BuildRequires:  perl(Apache::Test)
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Encode::Detect)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(Geo::IP)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(IO::Socket::IP) >= 0.09
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(LWP)
BuildRequires:  perl(Mail::DKIM) >= 0.37
BuildRequires:  perl(Mail::SPF)
BuildRequires:  perl(Net::DNS)
BuildRequires:  perl(Net::Ident)
BuildRequires:  perl(Net::Patricia) >= 1.16
BuildRequires:  perl(Razor2::Client::Agent) >= 2.61
BuildRequires:  perl(Socket6)
BuildRequires:  perl(Sys::Hostname::Long)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl-devel
BuildRequires:  perl(version)
BuildRequires:  re2c
BuildRequires:  webfetch
BuildRequires:  apache-mod_perl
# The requires are derived automatically from META.yml. The below require is
# given on http://svn.apache.org/repos/asf/spamassassin/branches/3.3/INSTALL
# but missing from META.yml ... better safe than sorry!
Requires:       perl(LWP)
# And one on a package we create ourselves:
Requires:       perl-Mail-SpamAssassin = %{version}
# This should be required and not just suggested:
Requires:       gnupg2
Requires:       spamassassin-rules >= 3.4.4
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# Suggests unfortunately do not get derived automatically yet:
Recommends:     perl(Compress::Zlib)
Recommends:     perl(DBI)
Recommends:     perl(DB_File)
Recommends:     perl(Digest::SHA)
Recommends:     perl(Encode::Detect)
Recommends:     perl(Geo::IP)
Recommends:     perl(Getopt::Long)
Recommends:     perl(HTTP::Date)
Recommends:     perl(IO::Socket::IP) >= 0.09
Recommends:     perl(IO::Socket::SSL)
Recommends:     perl(LWP::UserAgent)
Recommends:     perl(MIME::Base64)
Recommends:     perl(Mail::DKIM) >= 0.37
Recommends:     perl(Mail::SPF)
Recommends:     perl(Net::DNS) >= 0.58
Recommends:     perl(Net::Ident)
Recommends:     perl(Net::Patricia) >= 1.16
Recommends:     perl(Net::SMTP)
Recommends:     perl(Razor2::Client::Agent) >= 2.61
Recommends:     webfetch

%description
SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

SpamAssassin also includes support for reporting spam messages
automatically, and/or manually, to collaborative filtering databases such
as Vipul's Razor, DCC or pyzor.
Install perl-Razor-Agent package to get Vipul's Razor support.
Install dcc package to get Distributed Checksum Clearinghouse (DCC) support.
Install pyzor package to get Pyzor support.

To enable spamassassin, if you are receiving mail locally, simply add
this line to your ~/.procmailrc:
INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc

To filter spam for all users, add that line to /etc/procmailrc or
create that file if doesn't exist yet.

%package        sa-compile
Summary:        Compiles SpamAssassin rulesets into native perl code
Group:          Networking/Mail
Requires:       gcc make
Requires:       perl-devel
Requires:       re2c

%description    sa-compile
sa-compile uses re2c to compile the site-wide parts of the SpamAssassin
ruleset. No part of user_prefs or any files included from user_prefs can be
built into the compiled set. This compiled set is then used by the
"Mail::SpamAssassin::Plugin::Rule2XSBody" plugin to speed up SpamAssassin's
operation, where possible, and when that plugin is loaded. re2c can match
strings much faster than perl code, by constructing a DFA to match many simple
strings in parallel, and compiling that to native object code. Not all
SpamAssassin rules are amenable to this conversion, however.

%package        tools
Summary:        Miscleanous tools for SpamAssassin
Group:          Networking/Mail
Requires:       perl-Mail-SpamAssassin = %{version}

%description    tools
Miscleanous tools from various authors, distributed with SpamAssassin.
See /usr/share/doc/spamassassin-tools-*/.

%package        spamd
Summary:        Daemonized version of SpamAssassin
Group:          System/Servers
Requires(post): spamassassin-rules >= 3.4.4
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:       spamassassin = %{version}

%description    spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%package        spamc
Summary:        A client for spamd
Group:          Networking/Mail

%description    spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%package -n     perl-%{fname}
Summary:        SpamAssassin e-mail filter Perl modules
Group:          Development/Perl
Requires:       perl(HTML::Parser)

%description -n perl-%{fname}
Mail::SpamAssassin is a module to identify spam using text analysis and
several internet-based realtime blacklists. Using its rule base, it uses a
wide range of heuristic tests on mail headers and body text to identify
``spam'', also known as unsolicited commercial email. Once identified, the
mail can then be optionally tagged as spam for later filtering using the
user's own mail user-agent application.

%package -n     perl-%{fname}-Spamd
Summary:        A mod_perl2 module implementing the spamd protocol
Group:          Development/Perl
Requires:       apache-mod_perl

%description -n perl-%{fname}-Spamd
This distribution contains a mod_perl2 module, implementing the spamd protocol
from the SpamAssassin (http://spamassassin.apache.org/) project in Apache2.
It's mostly compatible with the original spamd.

%prep

%setup -q -n %{fname}-%{version}
%patch0 -p0 -b .fixbang
%patch1 -p0
%patch6 -p1 -b .pat6
%patch7 -p1 -b .razor
%patch8 -p0 -b .ssltest

# svn cleansing...
for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build

%{__perl} \
    Makefile.PL \
    INSTALLDIRS=vendor \
    SYSCONFDIR=%{_sysconfdir} \
    DATADIR=%{_datadir}/spamassassin \
    ENABLE_SSL=yes \
    RUN_NET_TESTS=no < /dev/null

%make_build OPTIMIZE="%{optflags}" LDFLAGS="%{ldflags}"

pushd spamd-apache2
    %{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build
popd

%check
#cat >> t/config.dist << EOF
#run_net_tests=y
#run_spamd_prefork_stress_test=y
#EOF
export LANG=C
export LC_ALL=C
export LANGUAGE=C
# useless and broken test case
rm -f t/make_install.t
# may be broken on mga4 only? NO...
rm -f t/sa_compile.t
# fails on the build system
rm -f t/urilocalbl_geoip.t

make FULLPERL="%{_bindir}/perl" test #TEST_VERBOSE=1

%install

%make_install

pushd spamd-apache2
    %make_install
popd

install -d %{buildroot}%{_sysconfdir}/mail/%{name}/sa-update-keys
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/log/spamassassin
install -d %{buildroot}/var/lib/spamassassin

cat << EOF >> %{buildroot}%{_sysconfdir}/mail/%{name}/local.cf
required_hits 5
rewrite_header Subject [SPAM]
report_safe 0
EOF

install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/spamd
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/mail/spamassassin/
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/mail/spamassassin/
# installed mode 755 as it's executed by users. 
install -m 0755 %{SOURCE10} %buildroot/etc/mail/spamassassin
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/sa-update

install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/sysconfig/sa-update
# installed mode 744 as non root users can't run it, but can read it.
install -m 0744 %{SOURCE8} %buildroot%{_datadir}/spamassassin/sa-update.cron

install -d %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE14} %buildroot%{_unitdir}/spamd.service
install -m 0644 %{SOURCE16} %buildroot%{_unitdir}/sa-update.service
install -m 0644 %{SOURCE17} %buildroot%{_unitdir}/sa-update.timer

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m 0644 %{SOURCE20} %{buildroot}/%{_sysconfdir}/httpd/conf/webapps.d/spamd.conf

# sa-update channels and keyring directory
install -d %{buildroot}%{_sysconfdir}/mail/spamassassin/channel.d/
install -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/mail/spamassassin/channel.d/

install -m 0644 %{SOURCE13} $RPM_BUILD_DIR/Mail-SpamAssassin-%{version}/


# bork bork
install -m0644 rules/*.pre %{buildroot}%{_sysconfdir}/mail/%{name}/

# cleanup
rm -f %{buildroot}%{_bindir}/apache-spamd.pl
rm -f %{buildroot}%{_mandir}/man1/apache-spamd.pl.1*

# these are not meant to be released
rm -f %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/P595Body.pm
rm -f %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/RabinKarpBody.pm

%post
[ -f %{_sysconfdir}/spamassassin.cf ] && %{__mv} %{_sysconfdir}/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf || true
[ -f %{_sysconfdir}/mail/spamassassin.cf ] && /bin/mv %{_sysconfdir}/mail/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf || true

%post spamd
%_post_service spamd

%preun spamd
%_preun_service spamd

%files
%doc README Changes sample-*.txt procmailrc.example INSTALL TRADEMARK
%doc CREDITS UPGRADE USAGE META.yml README.Mageia
%dir %{_sysconfdir}/mail/%{name}
%dir %attr(0700,root,root) %{_sysconfdir}/mail/%{name}/sa-update-keys
%config(noreplace) %{_sysconfdir}/mail/%{name}/*.cf
%config(noreplace) %{_sysconfdir}/mail/%{name}/*.pre
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-default.rc
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-helper.sh
%config(noreplace) %{_sysconfdir}/mail/%{name}/channel.d
%config(noreplace) %{_sysconfdir}/logrotate.d/sa-update
%config(noreplace) %{_sysconfdir}/sysconfig/sa-update
%{_unitdir}/sa-update.service
%{_unitdir}/sa-update.timer
%dir /var/lib/spamassassin
%{_bindir}/sa-awl
%{_bindir}/sa-check_spamd
%{_bindir}/sa-learn
%{_bindir}/sa-update
%{_bindir}/spamassassin
%{_mandir}/man1/sa-awl.1*
%{_mandir}/man1/sa-learn.1*
%{_mandir}/man1/sa-update.1*
%{_mandir}/man1/spamassassin.1*
%{_mandir}/man1/spamassassin-run.1*
%{_datadir}/spamassassin
%dir %{_logdir}/spamassassin

%files sa-compile
%{_bindir}/sa-compile
%{_mandir}/man1/sa-compile.1*

%files tools
%doc sql ldap

%files spamd
%doc spamd/README* spamd/PROTOCOL
%{_unitdir}/spamd.service
%config(noreplace) %{_sysconfdir}/sysconfig/spamd
%{_bindir}/spamd
%{_mandir}/man1/spamd.1*

%files spamc
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-spamc.rc
%{_bindir}/spamc
%{_mandir}/man1/spamc.1*

%files -n perl-%{fname}
%{perl_vendorlib}/Mail/SpamAssassin*
%exclude %{perl_vendorlib}/Mail/SpamAssassin/Spamd
%{perl_vendorlib}/spamassassin-run.pod
%{_mandir}/man3/Mail::SpamAssassin*
%exclude %{_mandir}/man3/Mail::SpamAssassin::Spamd*
%{_mandir}/man3/spamassassin-run.3pm*

%files -n perl-%{fname}-Spamd
%doc spamd-apache2/README.apache
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/spamd.conf
%{perl_vendorlib}/Mail/SpamAssassin/Spamd
%{_mandir}/man3/Mail::SpamAssassin::Spamd*


%changelog
* Mon Aug 31 2020 martinw <martinw> 3.4.4-3.mga8
+ Revision: 1620504
- fix ssl tests (patch from upstream)

* Thu Feb 20 2020 umeabot <umeabot> 3.4.4-2.mga8
+ Revision: 1545894
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 ns80 <ns80> 3.4.4-1.mga8
+ Revision: 1485433
- new version 3.4.4 for CVE-2020-193[01] (mga#26150)

* Mon Jan 06 2020 guillomovitch <guillomovitch> 3.4.3-3.mga8
+ Revision: 1476973
- fix main package post script

* Sat Jan 04 2020 guillomovitch <guillomovitch> 3.4.3-2.mga8
+ Revision: 1476534
- sync with fedora setup
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Dec 13 2019 ns80 <ns80> 3.4.3-1.mga8
+ Revision: 1466148
- new version 3.4.3 for CVE-2018-11805 and CVE-2019-12420 (mga#25860)

* Sat Dec 01 2018 bcornec <bcornec> 3.4.2-7.mga7
+ Revision: 1336978
- Fix mga#23890 by removing sought.conf usage
- Fix mga#23890 by removing sought.conf usage

* Mon Oct 22 2018 wally <wally> 3.4.2-6.mga7
+ Revision: 1323541
- drop unneeded bootstrap switch

* Sun Oct 21 2018 bcornec <bcornec> 3.4.2-5.mga7
+ Revision: 1323353
- putting bootstrap back to 0 now that spamassassin-rules has been successfully built

* Sat Oct 20 2018 bcornec <bcornec> 3.4.2-4.mga7
+ Revision: 1323063
- Build with bootstrap

* Sat Oct 20 2018 bcornec <bcornec> 3.4.2-3.mga7
+ Revision: 1322680
- Clearly spamassassin should not depend systematically on spamassassin-rules

* Fri Oct 19 2018 bcornec <bcornec> 3.4.2-2.mga7
+ Revision: 1322462
- For dep on spamassassin-rules 3.4.2

* Wed Sep 19 2018 shlomif <shlomif> 3.4.2-1.mga7
+ Revision: 1269990
- fix build
- New version w bug fix ( MGA#23590 )

* Mon May 07 2018 wally <wally> 3.4.1-7.mga7
+ Revision: 1227539
- redo gnupg2 patch to not output warnings on build time
- run tests with C.UTF-8 locale

* Mon May 07 2018 wally <wally> 3.4.1-6.mga7
+ Revision: 1227528
- add patch from Fedora to use gnupg2

* Tue Sep 05 2017 tv <tv> 3.4.1-5.mga7
+ Revision: 1151373
- rebuild with fixed perl

* Tue Aug 29 2017 shlomif <shlomif> 3.4.1-4.mga7
+ Revision: 1148453
- new rel
- normalize spaces and get rid of trailing ones.
- Fix build and warnings on latest perls.

* Sun Jun 19 2016 pterjan <pterjan> 3.4.1-3.mga6
+ Revision: 1036528
- Rebuild for perl 5.22.2

* Thu Mar 03 2016 umeabot <umeabot> 3.4.1-2.mga6
+ Revision: 984123
- Rebuild for openssl

* Sun Dec 27 2015 oden <oden> 3.4.1-1.mga6
+ Revision: 915761
- fix upstream bug 7265
- 3.4.1

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-5.mga5
+ Revision: 743861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0-4.mga5
+ Revision: 689262
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Aug 17 2014 remmy <remmy> 3.4.0-3.mga5
+ Revision: 664895
- No longer create a (global readable) auto-whitelist file (mga#13899)

* Tue May 06 2014 shlomif <shlomif> 3.4.0-2.mga5
+ Revision: 620859
- spamd.sysconfig: also listen on a TCP port ( mga#13329 ).

* Fri Feb 14 2014 oden <oden> 3.4.0-1.mga5
+ Revision: 591291
- disable t/sa_compile.t for now.
- 3.4.0
- fix deps

* Fri Jan 10 2014 spuhler <spuhler> 3.3.2-21.mga4
+ Revision: 566186
+ rebuild (emptylog)

* Thu Jan 09 2014 spuhler <spuhler> 3.3.2-20.mga4
+ Revision: 565924
- removed none existend spamassassin.service
- removed Source2: spamd.init and all related files
- renamed %%{name}.service to spamd.service
- removed  obsoleted line # (cg) Make sure we mask the sysvinit script name
- removed line ln -s spamassassin.service %%{buildroot}%%{_unitdir}/spamd.service
  * the %%_post_service spamd line will take care of this
- corrected path of sa-update.log file
-deleted obsoleted spamd.init file

* Fri Nov 22 2013 spuhler <spuhler> 3.3.2-19.mga4
+ Revision: 552361
- improving the sa-update process
- using reload for amavisd instead of condrestart
  * prevents from amavisd interrupting the connection when e-mails are in the channel

* Thu Nov 21 2013 spuhler <spuhler> 3.3.2-18.mga4
+ Revision: 552183
-made the update running if an amavis.pid is detected
- added the amavis.pid to the update test

* Wed Nov 20 2013 spuhler <spuhler> 3.3.2-17.mga4
+ Revision: 552020
- updated cron-sript
- converted service to systemctl
- corrected spelling of spamd

* Fri Nov 15 2013 spuhler <spuhler> 3.3.2-16.mga4
+ Revision: 551435
- update do use systemctl for restarting demons
 * to reflect amavis chang to systemd native
- removed scripts for those programs we don't provide

* Tue Oct 22 2013 umeabot <umeabot> 3.3.2-15.mga4
+ Revision: 544713
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 3.3.2-14.mga4
+ Revision: 499896
- fixed bug #11246, amavisd doesn't need spamd and spamc
  * this requires that amavisd needs to be restarted every time sa-update has been run
- forces to run sa-update if only spamassassin  or/and spamd is installed
- added spamassassin-official.conf for the channels
- added sa-update.crontab file to force sa-update once per day
  * regardless of spamd is isntalled
- sa-update.cronscript replace the simple sa-update.cron file
  * this will initiate sa-update through cron, depending if any of these is installed
    - spamd, amavisd, they will be update. this will take care of bug #11246
- added README.Mageia file

* Sun Mar 24 2013 colin <colin> 3.3.2-13.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 3.3.2-12.mga3
+ Revision: 382407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 14 2012 colin <colin> 3.3.2-11.mga3
+ Revision: 281265
- Fix /run dir creation after usrmove with tmpfiles.d entry.

* Fri Jun 22 2012 remmy <remmy> 3.3.2-10.mga3
+ Revision: 262540
- Make gnupg a requirement instead of a suggest (closes mga#5959)
- Use pgrep instead of pidof in sa-update script (closes mga#6430)

* Sat Apr 28 2012 tmb <tmb> 3.3.2-9.mga2
+ Revision: 233858
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Apr 24 2012 remmy <remmy> 3.3.2-8.mga2
+ Revision: 233151
- Systemd unit file pointed to the wrong environment file, keeping spamd from starting properly (mga#5572)

* Sat Apr 21 2012 colin <colin> 3.3.2-7.mga2
+ Revision: 232384
- We do not use portreserve so remove the call.
- Ensure we mask the sysvinit script.

* Wed Apr 18 2012 guillomovitch <guillomovitch> 3.3.2-6.mga2
+ Revision: 231320
- spec cleanup
- systemd support

* Wed Mar 21 2012 dlucio <dlucio> 3.3.2-5.mga2
+ Revision: 225393
- We move runtime info from /var/run to /var/run/spamd
- unix socket and tcp socket are listen at same time

* Thu Mar 01 2012 remmy <remmy> 3.3.2-4.mga2
+ Revision: 216526
- Add dependancy on perl-Mail-SpamAssassin

* Wed Feb 29 2012 remmy <remmy> 3.3.2-3.mga2
+ Revision: 216000
- Use a pid file for spamd so systemd can be used to properly start and stop this service. (Closes mga#3402)
- Clean up of .spec file
- Use META.yml for automatic inclusion of Requires
- Require latest spamassassin-rules
- Added explicit requirement on spamassassin-rules (closes #3712)

* Wed Feb 08 2012 remmy <remmy> 3.3.2-2.mga2
+ Revision: 206459
- Flip bootstrap variable, so dependency on spamassassin-rules is included (fixing #3712)

* Tue Feb 07 2012 misc <misc> 3.3.2-1.mga2
+ Revision: 206203
- remove old conflict
- clean old construct and empty %%post
- fix tarball name
- fix missing file
- disable test not working ( for some weird reason related to ssl perl module )
- update to stable release 3.3.2
- make sa-update.cron silent, otherwise, sysadmin received one
  mail each night when nothing happen

* Sun Mar 06 2011 spuhler <spuhler> 3.3.2-0.0.r2260312.1.mga1
+ Revision: 65714
- update to r1036809
  added echo "need to run sa-update"
  added /usr/bin/sa-update -v
  otherwise the spamd will not start until a cron job completes

* Mon Feb 21 2011 spuhler <spuhler> 3.3.2-0.0.r1036809.5.mga1
+ Revision: 55159
- Increased rel for rebuild against perl-5.12

* Mon Jan 24 2011 ennael <ennael> 3.3.2-0.0.r1036809.4.mga1
+ Revision: 37955
- add bootstrap test

* Mon Jan 24 2011 ennael <ennael> 3.3.2-0.0.r1036809.3.mga1
+ Revision: 37523
- add missing condition

* Mon Jan 24 2011 ennael <ennael> 3.3.2-0.0.r1036809.2.mga1
+ Revision: 37403
- add bootstrap

* Sat Jan 22 2011 ennael <ennael> 3.3.2-0.0.r1036809.1.mga1
+ Revision: 33050
- remove mdkversion
- imported package spamassassin


* Wed Nov 24 2010 Michael Scherer <misc@mandriva.org> 3.3.2-0.0.r1036809.1mdv2011.0
+ Revision: 600841
- make is needed to compile the rule, since it use a makefile

* Fri Nov 19 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.2-0.0.r1036809.0mdv2011.0
+ Revision: 599069
- 3.3.2 (r1036809)
- fixes #60540 (Spamassassin has an error after upgrading the new Perl)
- since %%exclude don't work, add ugly file lists
- note: at least perl-NetAddr-IP-4.36.0-1mdv2011.0 and perl-5.12.2-5mdv2011.0
  is required for it to pass "make test"

  + Thomas Spuhler <tspuhler@mandriva.org>
    - Increased release for rebuild

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix URL as reported by Charles A Edwards

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 3.3.1-3mdv2010.1
+ Revision: 533336
- rebuild

* Mon Mar 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.3.1-2mdv2010.1
+ Revision: 526336
- rebuild for missing packages (on x86_64)

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 3.3.1-1mdv2010.1
+ Revision: 526012
- new version 3.3.1

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-3mdv2010.1
+ Revision: 511639
- rebuilt against openssl-0.9.8m

* Mon Feb 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.0-2mdv2010.1
+ Revision: 502379
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Wed Jan 27 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-1mdv2010.1
+ Revision: 497064
- 3.3.0

* Tue Jan 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0.2mdv2010.1
+ Revision: 496743
- added some error checking in sa-update.cron

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0.1mdv2010.1
+ Revision: 495489
- 3.3.0 (pre-release)
- rediffed one patch
- load the Mail::SpamAssassin::Plugin::AWL to have auto_whitelist* working
- the default rules is packaged separately (spamassassin-rules)
- fix deps
- run sa-update daily per default

* Mon Jan 18 2010 Michael Scherer <misc@mandriva.org> 3.2.5-13mdv2010.1
+ Revision: 493126
- do not send a email each time no new rules were found because we are up to date

* Wed Jan 06 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-12mdv2010.1
+ Revision: 486837
- another install "fix"
- fix borkiness at install
- fix a silly y2k10 rule bug

* Fri Jul 17 2009 Olivier Thauvin <nanardon@mandriva.org> 3.2.5-11mdv2010.0
+ Revision: 396905
- rebuild

* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-10mdv2009.1
+ Revision: 326623
- rebuilt due to build system fuckup
- make it backportable

* Sat Dec 27 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-8mdv2009.1
+ Revision: 319972
- fix deps

* Sat Dec 27 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-7mdv2009.1
+ Revision: 319880
- fix #46628 (/etc/cron.daily/sa-update exits uncleanly when sa-update exits with error code 4)
- license the sa-update.cron file
- fix deps

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-6mdv2009.1
+ Revision: 316160
- rebuild

* Thu Sep 11 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-5mdv2009.0
+ Revision: 283817
- fix #41887 (Spamassassin incomplet dependency)

* Fri Sep 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-4mdv2009.0
+ Revision: 281088
- reduce deps for evolution by breaking out sa-compile into a subpackage

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-3mdv2009.0
+ Revision: 235812
- perl-devel is needed by sa-compile (ghibo)

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-2mdv2009.0
+ Revision: 232760
- fix deps with a twist and #41887
- hardcode %%{_localstatedir}

* Thu Jun 12 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-1mdv2009.0
+ Revision: 218547
- 3.2.5

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Apr 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-3mdv2009.0
+ Revision: 192345
- fix #39874 (spamassassin-spamd does not create /var/log/spamassassin)

* Wed Feb 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-3mdv2008.1
+ Revision: 163124
- fix deps (perl-Apache-Test)
- make spamd use its own logfile (/var/log/spamassassin/spamd.log) to work around a bug in Sys-Syslog-0.22+
- reworked the sa-update cron script, note you should look out for changes in the
  /etc/sysconfig/spamd file to utilize the new sa-update cron script
- fixed the init script (don't start per default)
- added the new apache+mod_perl based spamd sub package (listens on 127.0.0.1:784)

* Mon Jan 21 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-2mdv2008.1
+ Revision: 155679
-  drop build deps on perl-INET6 (perl-IO-Socket-INET6) because it and perl-Socket6 are borked
- rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add perl-HTML-Parser as Requires on the perl subpackage

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-1mdv2008.1
+ Revision: 146396
- 3.2.4

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 4mdv2008.1-current
+ Revision: 134133
- re-add %%buildroot

* Wed Dec 19 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.3-3mdv2008.1
+ Revision: 133031
- fix #36225 (sa-compile needs re2c)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.3-2mdv2008.0
+ Revision: 82396
- fix #33304 (spamd missing perl subjection (perl-version))

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.3-1mdv2008.0
+ Revision: 61097
- 3.2.3

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-1mdv2008.0
+ Revision: 55397
- 3.2.2
- fix the correct attributes (700) on the /etc/mail/spamassassin/sa-update-keys directory
- fix deps (perl-Mail-SPF)
- fix deps

* Wed Jun 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.1-1mdv2008.0
+ Revision: 38545
- 3.2.1 (fixes CVE-2007-2873)

* Wed May 02 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.2.0-1mdv2008.0
+ Revision: 20772
- Updated to 3.2.0.
- Redid patch fixbang.
- Removed already applied patch sa-learn.


* Wed Apr 04 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.8-3mdv2007.1
+ Revision: 150579
- added P2 from fedora to fix a regression in sa-learn

* Thu Mar 15 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.8-2mdv2007.1
+ Revision: 144353
- added pinit LSB stuff to the spamd initscript

* Thu Feb 22 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.8-1mdv2007.1
+ Revision: 124716
- 3.1.8 (fixes CVE-2007-0451)
- try and enable the test suite

* Tue Jan 23 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-6mdv2007.1
+ Revision: 112640
- correct the auto_whitelist_path path if needed

* Thu Dec 21 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-5mdv2007.1
+ Revision: 101076
- fix safer chmod in post for the spamd sub package

* Wed Dec 20 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-4mdv2007.1
+ Revision: 100502
- fix build deps (perl-libwww-perl)
- added a cron script to optionally use sa-update daily, set USE_SA_UPDATE=1 in
  the /etc/sysconfig/spamd to activate it

* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-3mdv2007.1
+ Revision: 93601
- add directories and deps for sa-update
- bzip2 cleanup

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-2mdv2007.1
+ Revision: 63403
- fix the build (duh!)
- 3.1.7 (Major bugfixes)
- 3.1.6
- bunzip sources
- 3.1.6
- revert the last auto-whitelist change and do some magic in %%post (#25730)
- fix deps (#26350)
- don't run the tests for now (#16535)
- Import spamassassin

* Sat Sep 16 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.5-2mdv2007.0
- fix #25730
- don't use the mafioso spamcop plugin per default (P1)

* Fri Sep 01 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.5-1mdv2007.0
- 3.1.5 (Minor bugfixes)

* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.4-2mdv2007.0
- fix deps so tests passes on x86_64

* Sat Jul 29 2006 Emmanuel Andry <eandry@mandriva.org> 3.1.4-1mdv2007.0
- 3.1.4

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.3-1mdv2007.0
- 3.1.3 (Major security fixes)

* Sat May 27 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.2-1mdk
- 3.1.2 (Minor bugfixes)

* Sun Mar 12 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.1-1mdk
- 3.1.1 (Major bugfixes)

* Sat Feb 11 2006 Michael Scherer <misc@mandriva.org> 3.1.0-7mdk
- fix check when LANG is not english
- use check

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 3.1.0-6mdk
- Don't ship auto-whitelist.db anymore (Mdk bug #20823)

* Wed Jan 18 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-5mdk
- fix path to perl in order to attempt to make the test suite work in a chroot

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-4mdk
- rebuilt due to package loss

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-3mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 18 2005 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-2mdk
- fix deps
- fix one error in the provided local.cf file

* Fri Sep 16 2005 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-1mdk
- 3.1.0
- rediff P1 (now P0)
- drop upstream implemented patches (P2,P3,P4)
- fix deps

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 3.0.4-3mdk
- Patch4 (CVS): fix utf8 warning (Mdk bug #17456)

* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.4-2mdk
- added P3 to allow longer lines for non-english locales, 
  reported by Vincent Panel

* Wed Jun 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4
- new download url
- sync with the provided init script
- use the %%mkrel macro

* Sun May 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3
- spec file cleansing
- run the test suite

* Mon Jan 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.2-2mdk
- added P1 (prefork stuff as in apache)

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.0.1-2mdk 
- add optional perl-Mail-SPF-Query in description

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc5.1mdk
- 3.0.0-rc5

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc4.1mdk
- 3.0.0-rc4
- fix the default local.cf file

* Tue Sep 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc3.1mdk
- 3.0.0-rc3

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc2.1mdk
- 3.0.0-rc2

* Sat Aug 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.rc1.1mdk
-

* Sat Aug 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre4.3mdk
- Release 3.0.0 pre4

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre3.3mdk
- Fix buildrequires (found by Christiaan Welvaart)

* Sat Jul 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre3.2mdk
- Fix default permission on local.cf file (found by AAW)

* Tue Jul 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre3.1mdk
- Release 3.0.0 pre3 
- Regenerate patch 1
- Remove patch2 (merged upstream)
- add install script fix from Fedora 
- add procmail sample rules for spamassassin & spamc (Fedora)
- Update source2 to remove deprecated flags
- Build spamc with SSL by default

* Sun Jun 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.63-5mdk
- Patch2 (Habeas) : switch from Habeas header + blacklist to
  Habeas header + whitelist, spammers can no longer use the Habeas
  header to bypass SA

* Thu May 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.63-4mdk
- fix default location of DCC socket

* Tue Apr 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.63-3mdk
- broke out spamd and spamc as PLD does it (thanks PLD!)
- added S1 and S2 (removed the initscript patch)
- provide the ssl aware spamc client (%%{_bindir}/spamc-ssl)

